:root {
    /* 字体大小 */
    --font-size-small: 14px;
    --font-size-base: 16px;
    --font-size-large: 20px;
    /* 圆角边框 */
    --border-radius-base: 5px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100svh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('https://t.alcy.cc/pc');
    background-size: cover;
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
    /* 隐藏所有浏览器滚动条 */
    -ms-overflow-style: none;
    scrollbar-width: none;
}

audio {
    display: none;
}

.player-warp {
    position: relative;
    z-index: 9999999;
}

.play-info {
    position: absolute;
    width: 90%;
    height: 103%;
    top: 0%;
    left: 50%;
    transform: translateX(-50%);
    font-size: var(--font-size-small);
    font-family: '幼圆';
    text-align: left;
    padding: 10px;
    padding-left: 35%;
    color: pink;
    opacity: 0;
    backdrop-filter: blur(3.5px);
    border-radius: var(--border-radius-base);
    background-color: rgba(225, 225, 225, 0.65);
    box-shadow: 0 8px 32px rgba(31, 38, 135, 0.37);
    transition: all 0.5s ease-in-out;
    z-index: -1;
}

.play-info.running {
    top: -100%;
    opacity: 1;
}

.music_progress_bar{
    width: 100%;
    height: 4px;
    border-radius: 2px;
    border: 1px solid pink;
}

.music_progress_line{
    position: relative;
    width: 0%;
    height: 100%;
    background-color: pink;
    transition: width 0.3s ease-in-out;
}

.music_progress_line::after{
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    width: 6px;
    height: 6px;
    transform: translate(50%,-50%);
    background-color: rgb(235, 144, 159);
    border-radius: 50%;
    z-index: 10;
}

.music_progress_top{
    width: 100%;
    overflow: hidden;
}

.current-time{
    float: left;
}

.total-time{
    float: right;
}


.player-control {
    width: 360px;
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 30px;
    background-color: #fff;
    border-radius: 15px;
    z-index: 10;
}

.player-control .cover {
    position: relative;
    width: 80px;
    height: 80px;
    margin-top: -60px;
    padding: 6px;
    overflow: hidden;
    border-radius: 50%;
    background-color: #fff;
    animation: rotate 3s linear infinite;
    animation-play-state: paused;
}

.cover::after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 12px;
    height: 12px;
    background: #fff;
    border-radius: 50%;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    z-index: 10;
}

.player-control .cover img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    background-image: radial-gradient(origin center, #fff 5%, transparent);
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#preBtn {
    transform: rotate(180deg);
}

#preBtn,
#playBtn,
#nextBtn,
#listBtn {
    width: calc(var(--font-size-large) + 8px);
    line-height: calc(var(--font-size-large) + 8px);
    font-size: var(--font-size-large);
    text-align: center;
    cursor: pointer;
    border-radius: var(--border-radius-base);
    transition: all 0.3s ease-in-out;
}

#preBtn:hover,
#playBtn:hover,
#nextBtn:hover,
#listBtn:hover {
    background-color: #ccc;
}

#lyrics-btn{
    font-size: var(--font-size-base);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.music-lyrics{
    position: absolute;
    top: 104%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 360px;
    background-color: rgba(255, 255, 255, 0.76);
    box-shadow: 0 8px 32px rgb(253, 184, 196);
    border-radius: 18px;
    transition: all 0.3s ease-in-out;
    opacity: 0;
}

.lyrics-show{
    color: pink;
    opacity: 1;
}

.lyrics-text{
    height: 100%;
    padding: 20px;
}

.scroll-lyrics{
    height: 100%;
    text-align: center;
    line-height: 30px;
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
    /* 隐藏所有浏览器滚动条 */
    -ms-overflow-style: none;
    scrollbar-width: none;
    transition: all 0.3s ease-in-out;
    scroll-behavior: smooth;
}

.scroll-lyrics::-webkit-scrollbar {
    display: none;
}

.curScroll{
    font-size: 18px;
    color: rgb(242, 112, 133);
}